package com.telpo.dipperposition.mapper;

import com.telpo.dipperposition.annotation.MongoSwitch;
import com.telpo.dipperposition.entity.mongo.IPProvinceEntity;
import db.BaseMongoDbDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @program: DataPushServer
 * @description: 推送记录mapper
 * @author: linwl
 * @create: 2020-07-20 11:12
 */
@Repository
public class IPProvinceMapper extends BaseMongoDbDao<IPProvinceEntity> {

  private static IPProvinceMapper iPProvinceMapper;
  /**
   * spring会自动从ioc容器当中根据IPProvinceMapper类型找到iPProvinceMapper，
   * 当做参数传进来
   *
   */
  @Autowired
  public void setIPProvinceMapper(IPProvinceMapper iPProvinceMapper) {
    this.iPProvinceMapper = iPProvinceMapper;
  }

  @Override
  protected Class<IPProvinceEntity> getEntityClass() {
    return IPProvinceEntity.class;
  }

  @MongoSwitch("common")
  public void saveIp(IPProvinceEntity entity) {
    this.save(entity);
  }

  @MongoSwitch("common")
  public void saveIp(IPProvinceEntity entity, String collectionName) {
    this.save(entity, collectionName);
  }

  @MongoSwitch("common")
  public void updateIpFirst(IPProvinceEntity srcObj, IPProvinceEntity targetObj) {
    this.updateFirst(srcObj, targetObj);
  }

  @Override
  public List<IPProvinceEntity> getPage(IPProvinceEntity object, int start, int size) {
    return super.getPage(object, start, size);
  }

  @MongoSwitch("common")
  public List<IPProvinceEntity> queryIpList(IPProvinceEntity object) {
    return this.queryList(object);
  }

  @MongoSwitch("common")
  public List<IPProvinceEntity> queryIpList(IPProvinceEntity object, String collectionName) {
    return this.queryList(object, collectionName);
  }

  @MongoSwitch("common")
  public void deleteIpById(String id) {
    this.deleteById(id);
  }
}
